Subject: Bug#3842: tkdesksh grows really large

From: Lars Wirzenius <[email-masked]>
Date: Fri, 19 Jul 1996 10:46:40 +0300

Package: tkdesk
Version: 1.0b1-1

Package: tk40
Version: 4.0p3-3

Package: tcl74
Version: 7.4p3-3

I usually don't log out when I leave the machine, for convenience.  This
morning, the system was out of memory.  I have 16 MB physical and 48 MB
swap, and usually have no less than fifteen or twenty megabytes free swap.  
Mirror was running, so I assumed that that was it.  But it wasn't.

# free
             total       used       free     shared    buffers     cached
Mem:         15004      14816        188       4056        104       2376
-/+ buffers:            12336       2668
Swap:        48348      48348          0
# ps aux | grep mirror
liw      10146  0.1 21.0  4780  3152  ?  S    03:15   0:28 mirror debian:ftp.lh.
...
# ps aux
USER       PID %CPU %MEM  SIZE   RSS TTY STAT START   TIME COMMAND
...
liw      15912  0.6 11.3 21440  1700  ?  S   Jul 11  68:29 /usr/bin/tkdesksh /us
...
# killall tkdesksh
# free
             total       used       free     shared    buffers     cached
Mem:         15004      14400        604       4284        100       2628
-/+ buffers:            11672       3332
Swap:        48348      29880      18468
# 

The system was probably almost completely idle, except for mail and mirror
and the usual periodic stuff.  I've had this happen before with tkdesksh, 
although I don't know if it is TkDesk or Tcl/Tk that is the problem.